<?php
if($excel==1){
/* header("Pragma: ");
header('Cache-control: ');
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Content-type: application/vnd.ms-excel");
header("Content-disposition: attachment; filename=Tu_Nombre_De_Archivo.xls"); */
header("Content-Type: application/vnd.ms-excel");
header("Expires: 0");
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("content-disposition: attachment;filename=nombredelarchivoagenerar.xls");
}

  include("stilos/config.inc.php");
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("funcion/funciones.php");
  include("Funciones.php");
  session_start();
  $objPer=new clsPer;
function redondeodecimal($valor){
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}
  
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<link href="style.css" rel="stylesheet" type="text/css">
<link href="Estilos.css" rel="stylesheet" type="text/css">
<link href="stilos/Estilos.css" rel="stylesheet" type="text/css">
<head>
<title>REPORTE</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<table width="835" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="15"><div align="center"></div></td>
  </tr>
  <tr>
    <td><div align="center">
        <table width="833" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
          <tr valign="top" class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
            <td colspan="10"><div align="left">Transporte: 
              <?=$matricula?>
            </div></td>
          </tr>
          <tr valign="top" class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
            <td colspan="10"><div align="right">REPORTE DEL <?=$fecha1?> AL <?=$fecha2?></div></td>
          </tr>
          <tr valign="top" class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
            <td width="17"><div align="center">N&ordm;</div></td>
            <td colspan="3">
              <div align="center">Centro de Costo </div></td>
            <td width="34"><div align="center">Horas</div></td>
            <td width="63"><div align="center">Costo Fijo Mensual </div></td>
            <td width="74"><div align="center">Costo/Hora</div></td>
            <td width="67"><div align="center">Costo a Facturar</div></td>
            <td width="52"><div align="center">%</div></td>
            <td width="72"><div align="center">Division por centro de costo </div></td>
          </tr>
          <?
					 //if($monto!=""){ 
				    $regxpag=50;
					if(!isset($pagina)){
					$pagina=0;
					}					
					$regini=$pagina*$regxpag;
					if($matricula!='0'){
					$resultado=$objPer->getCCostoOpt1();				
					}
					$primero=0;
					$rsdpca=$objPer->getTransCCostoSumaDistancias1(extraerfechamysql($fecha1),extraerfechamysql($fecha2),$matricula);
					 $rowdpca=$objPer->NextRow($rsdpca);
					 $rsdpcb=$objPer->getTransCCostoSumaDistancias2(extraerfechamysql($fecha1),extraerfechamysql($fecha2),$matricula);
					 $rowdpcb=$objPer->NextRow($rsdpcb);
					 
					 $totaldis=$rowdpca['totaldispc']+$rowdpcb['totaldispc'];
					//getListaHVHelixTipo(extraerfechamysql($fecha1),extraerfechamysql($fecha2),$matricula)
                  while($filas=$objPer->NextRow($resultado))
                   {
				   
				   
				   $n++;
				   ?>
          <tr valign="top" class="lblForm" >
            <td class="lblForm">
              <div align="center"> <? echo $n; ?> </div></td>
            <td colspan="3" class="lblForm"><div align="left"><?php echo $filas['centrocosto']." ".$filas['nombre']; ?></div></td>
            <td>
              <div align="center">
                <?php 
					 
					 $rsdpc1=$objPer->getTransCCostoSumaDistanciass(extraerfechamysql($fecha1),extraerfechamysql($fecha2),$matricula);
					 $rowdpc1=$objPer->NextRow($rsdpc1);
					 $tpesopaxsumh=0;
					 $tpesopaxsum=0;
					 $num=0;
					 //echo $rowdpc1['tvcom']."-".$rowdpc1['tvtec'];
					 $resultadocosto=$objPer->getTransCCosto(extraerfechamysql($fecha1),extraerfechamysql($fecha2),$matricula,$filas['centrocosto']);
				   	 while($filacosto=$objPer->NextRow($resultadocosto)){
						
						$resultadocostos=$objPer->getNumPaxViajeCC($filacosto['codigo_mpass'],extraerfechamysql($fecha1),extraerfechamysql($fecha2),$filas['centrocosto']); 
						$filacostos=$objPer->NextRow($resultadocostos);
					//echo $filacostos['numpax'];
					//echo $filacostos['ccosto'];
					
						if($filas['centrocosto']==$filacostos['ccosto']){
						$horita=60;
						
							if($filacosto['tipohora']=='V'){ $tipohora=$rowdpc1['tvcom'];}else{ $tipohora=$rowdpc1['tvtec'];}	
							$tpesopax=(($filacostos['pesopax']*$filacostos['distancia'])/($totaldis))*$tipohora*$horita;							
							$tpesopaxsum=$tpesopaxsum+$tpesopax; 						 
							$tpesopaxh=(($filacostos['pesopax']*$filacostos['distancia'])/($totaldis))*$tipohora;												
							$tpesopaxsumh=$tpesopaxsumh+$tpesopaxh;
							
							//$rowdpc['totaldispc']."/".$tipohora."<br>";
							
							$num=$num+1;
							
							
						  
						}						  
					  } 
					  $objPer->Liberar($resultadocosto);
					  
					  if($filas['centrocosto']){							
							$num;							
							$totalpaxsum=$totalpaxsum+$num;													
							$totalpesopaxhora=$totalpesopaxhora+$tpesopaxh;
							}
					?>
                <?				 
					 $tpesocargasum=0;
					 $tpesocargasuma=0;
					 $tpesocargasumah=0;
					 $resultadocostow=$objPer->getTransCCostoW(extraerfechamysql($fecha1),extraerfechamysql($fecha2),$matricula,$filas['centrocosto']);
				   	 while($filacostow=$objPer->NextRow($resultadocostow)){
						
						$resultadocostosw=$objPer->getTransCCosto1W($filacostow['codigo_w']); 
						$filacostosw=$objPer->NextRow($resultadocostosw);
					
						if($filas['centrocosto']==$filacostosw['ccosto']){							
							$tpesocargasum=$tpesocargasum+($filacostosw['carga_int']+$filacostosw['carga_ext']);
							$totalpesocarga=$totalpesocarga+$tpesocargasum;
							if($filacostow['tipohora']=='V'){ $tipohora=$rowdpc1['tvcom'];}else{ $tipohora=$rowdpc1['tvtec'];}
							$tpesocarga=(($filacostosw['peso_w']*$filacostosw['distancia'])/($totaldis))*$tipohora*60;							
							$tpesocargasuma=$tpesocargasuma+$tpesocarga;						  	
							$tpesocargah=(($filacostosw['peso_w']*$filacostosw['distancia'])/($totaldis))*$tipohora;							
							$tpesocargasumah=$tpesocargasumah+$tpesocargah;
							
						}					 
					  } 
					  $objPer->Liberar($resultadocostow);					  
					  if($filas['centrocosto']){
							$tpesocargasum;							
							$totalpesocargasum=$totalpesocargasum+$tpesocargasum;
						
					  
					  $tpesopasshora=$tpesopaxsumh;					  
					  calcular_horas_formato_inversa1($tpesopasshora);
					  //calcular_tiempo_trasnc();
					  $totalpeso=round($tpesopaxsum);
					  $totalpesosum=$totalpesosum+$totalpeso;
					  $totalpesopasshora=$totalpesopasshora+$tpesopasshora;
					  //****************************************************************
					  $tpesocargasumah;
					  $tpesows=$tpesocargasumah;					  
					  calcular_horas_formato_inversa1($tpesows);
					  $totalcargapeso=round($tpesocargasuma);
					  $totalpesosumcarga=$totalpesosumcarga+$totalcargapeso;
					  $totalpesocargasumahora=$totalpesocargasumahora+$tpesows;
					  echo $numhparcial=calcular_horas_formato_inversa1($tpesopasshora+$tpesows);
					  $tpesopasshora+$tpesows;
					  //************************************************************************************************
					  $totalpesohora=round($totalcargapeso+$totalpeso);
					  $totalpesohorasuma=$totalpesohorasuma+$totalpesohora;
					  }
					  ?>
            </div></td>
            <td><div align="center">
                <?
					if($filas['centrocosto']){
					
						
						echo $rowdpca['tarifa'];
						
						
					}
					?>
            </div></td>
            <td><div align="center">
                <?
					if($filas['centrocosto']){						
						echo $rowdpca['tarifah'];							
					}
					?>
            </div></td>
            <td>
              <div align="center">
                <? 
					$rst=$objPer->getTransTarifa($matricula); 
					$rowt=$objPer->NextRow($rst);
					
					/* $rsthi=$objPer->getTransHorasInd($matricula,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
					$rowthi=$objPer->NextRow($rsthi); */
					$rsthi=$objPer->getHoraInd($matricula,$fecha1,$fecha2);
					$rowthi=$objPer->NextRow($rsthi);
							$mess=date(m);
							$anios=date(Y);
							$dias=date(d);
							$ultimodia=date("t",mktime(0,0,0,$meses,$dias,$anios));
				if($matricula=='OB-317'){
				echo $ctotalcal=($_SESSION['numht']/3)*$rowt['tarifav'];
				}else{
					if($rowt['horamaxtra']!=''){
						if($rowt['tipohora']=='V'){$dind=$rowthi['horasv']/$rowt['horamaxtra'];}elseif($rowt['tipohora']=='T'){$dind=$rowthi['horastec']/$rowt['horamaxtra'];}
						if($dind>$rowt['dias_indotor']){
							$diaind=$dind;							
							echo $ctotalcal=(($rowt['tarifa']*($ultimodia-$diaind)/$ultimodia)+($_SESSION['numht']*$rowt['tarifah']));
						}elseif($dind<=$rowt['dias_indotor']){
							$diaind=0;
							echo $ctotalcal=(($rowt['tarifa']*($ultimodia-$diaind)/$ultimodia)+($_SESSION['numht']*$rowt['tarifah']));
						}					
					}
				}
					?>
            </div></td>
            <td>
              <div align="center">
                <?
					   
					   
					   if($filas['centrocosto']){
					   if($_SESSION['paxcargahora']!=0){				   		
					  		
							$porcentajer=($totalpesohora/$_SESSION['paxcargahora']);
							echo redondeodecimal($porcentajer)*100;							
							$porcentaje=$porcentajer;					
							$porcentajet=$porcentajet+$porcentaje;						
							
						}
					  }
					  ?>
            </div></td>
            <td><div align="center">
                <?
					
					echo $dcc=number_format((($porcentaje/100)*$ctotalcal)*100,2,'.','');
					$dcct=$dcct+$dcc;
					?>
            </div></td>
          </tr>
          <? 
			}
			$objPer->Liberar($resultado); 
			 
			?>
          <tr valign="top" class="lblForm" >
            <td colspan="4" class="lblForm">&nbsp; </td>
            <td class="lblForm"><div align="center">
                <?=$_SESSION['numht']=round($totalpesopasshora,2)+round($totalpesocargasumahora,2);?>
            </div></td>
            <td class="lblForm"><div align="center">
                <?=$costocct?>
            </div></td>
            <td class="lblForm"><div align="center">
                <?=$combuscct?>
            </div></td>
            <td><div align="center"> </div></td>
            <td>
              <div align="center">
                <?								
					echo number_format($porcentajet,2,'.',' ');
					?>
            </div></td>
            <td><div align="center">
                <? 
					//echo $totalm;
					echo number_format($dcct,2,'.','');
					?>
            </div></td>
          </tr>
          <tr valign="top" class="lblForm" >
            <td colspan="4" class="lblForm">&nbsp;</td>
            <td class="lblForm"><div align="center">
                <?
					/* $rsthh=$objPer->getTotalHorasHeli($matricula,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
					$rowthh=$objPer->NextRow($rsthh);
					  if($rowthh['tipohora']=='V'){
					  echo calcular_horas_formato_inversa1($rowthh['tvcom']);	
					  $_SESSION['paxcargahora']=$rowthh['tvcom'];				  				  
					  }elseif($rowthh['tipohora']=='T'){
					  echo calcular_horas_formato_inversa1($rowthh['tvtec']);	
					  $_SESSION['paxcargahora']=$rowthh['tvtec'];				  
					  } */
					echo calcular_horas_formato_inversa1(round($totalpesopasshora,3)+round($totalpesocargasumahora,3));
					$_SESSION['paxcargahora']=$totalpesohorasuma;
					?>
            </div></td>
            <td class="lblForm"><div align="center"> </div></td>
            <td class="lblForm"><div align="center"></div></td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td><div align="center"></div></td>
          </tr>
        </table>
    </div></td>
  </tr>
  <tr class="lblCampo">
    <td><div align="right"><a href="p_ccosto_mensual_print.php?excel=1">Exportar a excel</a></div></td>
  </tr>
</table>

<map name="Map">
  <area shape="rect" coords="2,5,22,21" href="fondo.php">
</map>
</body>

</html>

